Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ClassObjectDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SchemaObjectDefinition
              oracle.ifs.beans.ClassObjectDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ClassObjectDefinition

extends SchemaObjectDefinition

The `ClassObjectDefinition` class is used to construct an ClassObject.

This subclass of SchemaObjectDefinition sets the default ClassObject to "CLASSOBJECT".

See Also:
  `ClassObject`, Serialized Form
(Published)

Field Summary
`static java.lang.String` | `DROP_TABLE_SYSTEMOPTION_NAME` The name of the system option whose boolean AttributeValue controls whether, in freeing a ClassObject, the base table is dropped.

Fields inherited from class oracle.ifs.beans.SchemaObjectDefinition
`m_CategoryDefs`

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`ClassObjectDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`ClassObjectDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `addAttributeDefinition(AttributeDefinition def)` Adds an Attribute definition for the new ClassObject.
`void` | `addAttributeDefinitions(AttributeDefinition[] defs)` Adds a set of new Attribute definitions.
`AttributeDefinition[]` | `getAttributeDefinitions()` Gets the Attributes defined for this instance.
`ClassObject` | `getSuperclass()` Deprecated. CM SDK 10gR2: use getAttribute(ClassObject.SUPERCLASS_ATTRIBUTE)
`AttributeValue` | `getUniqueNameValue()` Get the value set for the UniqueName.
`void` | `removeAttributeDefinitions()` Removes all Attribute definition specifications from this instance.
`void` | `setAttributeDefinitions(AttributeDefinition[] defs)` Defines a set of new Attribute Definitions.
`void` | `setName(java.lang.String name)` Sets the name of the new ClassObject.
`void` | `setSuperclass(ClassObject superclass)` Deprecated. CM SDK 10gR2: use setAttribute(ClassObject.SUPERCLASS_ATTRIBUTE, AttributeValue.newAttributeValue(superclass));
`void` | `setUniqueNameValue(AttributeValue av)` Set the value set for the UniqueName.

Methods inherited from class oracle.ifs.beans.SchemaObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getCategoryDefinitions, removeCategoryDefinitions, setCategoryDefinitions, toSchemaObjectDefinition, toSchemaObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DROP_TABLE_SYSTEMOPTION_NAME

    public static final java.lang.String DROP_TABLE_SYSTEMOPTION_NAME

  Description copied from class: `ClassObjectDefinition`
  The name of the system option whose boolean AttributeValue controls whether, in freeing a ClassObject, the base table is dropped.

  The default behavior is to drop the table. However, if this system option is set false in the ClassObjectDefinition supplied in freeing a ClassObject, the repository will not drop the table. In that case, the caller should ensure the table is dropped by some other means.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### ClassObjectDefinition

    public ClassObjectDefinition(LibrarySessionInterface session)
                          throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be ClassObject.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### ClassObjectDefinition

    public ClassObjectDefinition(LibrarySessionInterface session,
                                 java.lang.String className)
                          throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setName

    public final void setName(java.lang.String name)
                       throws IfsException

  Description copied from class: `ClassObjectDefinition`
  Sets the name of the new ClassObject.

  Overrides:
    `setName` in class `LibraryObjectDefinition`
  Parameters:
    `name` - the name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setSuperclass

    public final void setSuperclass(ClassObject superclass)
                             throws IfsException

  Deprecated. CM SDK 10gR2: use setAttribute(ClassObject.SUPERCLASS_ATTRIBUTE, AttributeValue.newAttributeValue(superclass));

  Description copied from class: `ClassObjectDefinition`
  Sets the superclass of the new ClassObject.

  Parameters:
    `superclass` - the superclass
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSuperclass

    public final ClassObject getSuperclass()
                                    throws IfsException

  Deprecated. CM SDK 10gR2: use getAttribute(ClassObject.SUPERCLASS_ATTRIBUTE)

  Description copied from class: `ClassObjectDefinition`
  Gets the superclass of the new ClassObject.

  Returns:
    the superclass
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addAttributeDefinition

    public final void addAttributeDefinition(AttributeDefinition def)
                                      throws IfsException

  Description copied from class: `ClassObjectDefinition`
  Adds an Attribute definition for the new ClassObject.

  Parameters:
    `def` - the AttributeDefinition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addAttributeDefinitions

    public void addAttributeDefinitions(AttributeDefinition[] defs)
                                 throws IfsException

  Description copied from class: `ClassObjectDefinition`
  Adds a set of new Attribute definitions. All specified AttributeDefinition will be added to the current set of definitions held by this instance.

  Parameters:
    `defs` - the Attribute definitions to be added for this instance
  Throws:
    `IfsException`
  (Unpublished)

### setAttributeDefinitions

    public void setAttributeDefinitions(AttributeDefinition[] defs)
                                 throws IfsException

  Description copied from class: `ClassObjectDefinition`
  Defines a set of new Attribute Definitions. All previously specified AttributeDefinitions will be removed, prior to adding this set to the instance.

  Parameters:
    `defs` - the Attribute definitions
  Throws:
    `IfsException`
  (Unpublished)

### removeAttributeDefinitions

    public void removeAttributeDefinitions()
                                    throws IfsException

  Description copied from class: `ClassObjectDefinition`
  Removes all Attribute definition specifications from this instance.

  Throws:
    `IfsException`
  (Unpublished)

### getAttributeDefinitions

    public final AttributeDefinition[] getAttributeDefinitions()
                                                        throws IfsException

  Description copied from class: `ClassObjectDefinition`
  Gets the Attributes defined for this instance.

  Returns:
    the AttributeDefinitions
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setUniqueNameValue

    public void setUniqueNameValue(AttributeValue av)
                            throws IfsException

  Description copied from class: `ClassObjectDefinition`
  Set the value set for the UniqueName.

  Parameters:
    `av` - the UniqueName value to be set for this ClassObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getUniqueNameValue

    public AttributeValue getUniqueNameValue()
                                      throws IfsException

  Description copied from class: `ClassObjectDefinition`
  Get the value set for the UniqueName.

  Returns:
    the UniqueName value to be set for this ClassObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD